Subject: Re: [Tools-discuss] Backdoor standards?

From: Larry Masinter <[email-masked]>
Date: Fri, 14 Jan 2022 14:08:08 -0800

Currently, when I ask for 
https://tools.ietf.org/html/draft-ietf-iri-3987bis
I get to 
https://datatracker.ietf.org/doc/html/draft-ietf-iri-3987bis 
which gives me a TXT+hyperlink styled HTML document with a header

[Search] [txt|xml|pdf|pdfized|bibtex] [Tracker] [WG] [Email] [Diff1] [Diff2] [Nits]

Versions: (draft-duerst-iri-bis)  00 01 02 03 04         Standards Track
          05 06 07 08 09 10 11 12 13                                    

And only later the Expires: date.  It seems some thought went into
segregating and minimizing the discernable differences between
the text as it appears in this representation of the document and the
other representations. Only the  header changes
over time (when a document is superseded or expires).

People make references to documents and use those references
for all kinds of reasons, and for many use cases the document status
Is irrelevant.

Some modest improvements might be:
*  Don't hyperlink to version NN from version NN.  That would make it
   slightly clearer at a glance if you're not looking at the latest version.
* Move [Tracker] to the first (is [Search] useful? How did they get here?)
* If you ARE looking at the latest version,  AND it is Expired,
  replace  the word "Tracker"  with "Expired" (keeping the link to the tracker).
  This would make the first word [Expired].

[Expired] [txt|xml|pdf|pdfized] [bibtex] [WG] [Email] [Diff1] [Diff2] [Nits]

In this use case for stable URLs for a 10 year old Internet Draft, the draft is
awaiting reconciliation with https://url.spec.whatwg.org/ (perhaps using
 https://github.com/alwinb/url-specification)
--
https://LarryMasinter.net https://interlisp.org